Pular para o conteúdo principal
GET
/
stats
cURL
curl --request GET \
  --url https://perguntadodia.squareweb.app/api/v1/stats \
  --header 'Authorization: Bearer <token>'
{
  "approvedQuestions": 68,
  "sentQuestions": 759,
  "declinedQuestions": 8,
  "inReviewQuestions": 0,
  "daysPrediction": "2025-03-07T15:00:00.282Z",
  "authorRanking": [
    {
      "author": "668199172276748328",
      "questionsCount": 412
    }
  ]
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de consulta

status
enum<integer>

Filtrar o ranking de autores por status das perguntas. Veja a seção "Status e Emojis".

Opções disponíveis:
0,
1,
2,
3
Exemplo:

2

Resposta

200 - application/json

Estatísticas gerais dos status e ranking de autores

approvedQuestions
integer

Número total de perguntas aprovadas

Exemplo:

68

sentQuestions
integer

Número total de perguntas enviadas

Exemplo:

759

declinedQuestions
integer

Número total de perguntas recusadas

Exemplo:

8

inReviewQuestions
integer

Número total de perguntas em análise

Exemplo:

0

daysPrediction
string<date-time>

Data estimada para enviar a última pergunta aprovada até o momento

Exemplo:

"2025-03-07T15:00:00.282Z"

authorRanking
object[]

Ranking de autores ordenado por maior quantidade de perguntas